-- =============================================================================
--  CLEARFONT BY KIRKBURN  v11100-1
--  Official website:  http://www.clearfont.co.uk/
-- =============================================================================
--  CLEARFONT.LUA - STANDARD WOW UI FONTS
-- =============================================================================




-- =============================================================================
--  A. CLEARFONT FRAME & FONT LOCALS FOR BREVITY LATER
-- =============================================================================
--  Add your own font local, following the example (the last line)
--  Keep this section the same in both lua files for consistency
-- =============================================================================

ClearFont = CreateFrame("Frame", "ClearFont");

local CLEAR_FONT_BASE = "Interface\\AddOns\\Insomniax_Core\\Fonts\\";				--"Interface\\AddOns\\!ClearFont\\Fonts\\";	--  ***LedMirage 4/21/2006
local CLEAR_FONT = CLEAR_FONT_BASE .. "IX_Font_Bold.ttf";							--"ClearFont.ttf";						--  ***LedMirage 4/21/2006
local CLEAR_FONT_BOLD = CLEAR_FONT_BASE .. "Montreal_Bold.ttf";						--"ClearFontBold.ttf";					--  ***LedMirage 4/21/2006
local CLEAR_FONT_ITALIC = CLEAR_FONT_BASE .. "IX_Font_Bold_Italic.ttf";				--"ClearFontItalic.ttf";					--  ***LedMirage 4/21/2006
local CLEAR_FONT_BOLDITALIC = CLEAR_FONT_BASE .. "IX_Font_Bold_Italic.ttf";			--"ClearFontBoldItalic.ttf";				--  ***LedMirage 4/21/2006
local CLEAR_FONT_NUMBER = CLEAR_FONT_BASE .. "IX_Font_Bold_Italic.ttf";				--"ClearFont.ttf";						--  ***LedMirage 4/21/2006
local YOUR_FONT_STYLE = CLEAR_FONT_BASE .. "IX_Font_Condensed_Bold.ttf";											--  ***LedMirage 4/21/2006


-- Check existence of overridable fonts & change them (1.10 fix)
---------------------------------------------------------------

local function CanSetFont(object) 
   return (type(object)=="table" 
	   and object.SetFont and object.IsObjectType 
	      and not object:IsObjectType("SimpleHTML")); 
end




-- =============================================================================
--  B. STANDARD WOW UI SECTION
-- =============================================================================
--  This is the most important section to edit!
--  Main font styles are listed first, the rest follows alphabetically
-- =============================================================================
--  For the example GameFontNormal:SetFont(CLEAR_FONT, 13);
--  The first part in the brackets is the font style, followed by the font size
--  Change to suit your needs!
-- =============================================================================

function ClearFont:ApplySystemFonts()


-- In-World, '3D' Fonts, etc. (Dark Imakuni)
--------------------------------------------

-- Chat bubbles
   STANDARD_TEXT_FONT = CLEAR_FONT;

-- Names above people's heads
   UNIT_NAME_FONT = CLEAR_FONT_BOLD;				-- CLEAR_FONT;						--  ***LedMirage 4/21/2006
   NAMEPLATE_FONT = CLEAR_FONT_BOLD;				-- CLEAR_FONT;						--  ***LedMirage 4/21/2006

-- The damage pop-up over your target's head (*not* SCT/SDT related)
   DAMAGE_TEXT_FONT = CLEAR_FONT_NUMBER;

-- Drop-down menu font size
   UIDROPDOWNMENU_DEFAULT_TEXT_HEIGHT = 12;


-- System Font
--------------

   if (CanSetFont(SystemFont)) then 		SystemFont:SetFont(CLEAR_FONT, 17); end


-- Primary Game Fonts: the main font you see everywhere
-------------------------------------------------------

   if (CanSetFont(GameFontNormal)) then 		GameFontNormal:SetFont(CLEAR_FONT, 13); end
   if (CanSetFont(GameFontHighlight)) then 	GameFontHighlight:SetFont(CLEAR_FONT, 13); end

   if (CanSetFont(GameFontDisable)) then 		SystemFont:SetFont(CLEAR_FONT, 13); end
   if (CanSetFont(GameFontDisable)) then 		GameFontDisable:SetTextColor(0.6, 0.6, 0.6); end

   if (CanSetFont(GameFontGreen)) then 		GameFontGreen:SetFont(CLEAR_FONT, 13); end
   if (CanSetFont(GameFontRed)) then 		GameFontRed:SetFont(CLEAR_FONT, 13); end
   if (CanSetFont(GameFontWhite)) then 		GameFontWhite:SetFont(CLEAR_FONT, 13); end
   if (CanSetFont(GameFontBlack)) then 		GameFontBlack:SetFont(CLEAR_FONT, 13); end


-- Small Game Fonts: also used in Titan Panel
---------------------------------------------

   if (CanSetFont(GameFontNormalSmall)) then 		GameFontNormalSmall:SetFont(CLEAR_FONT_BOLD, 10); end 				--  12		--  ***LedMirage 6/21/2006

   if (CanSetFont(GameFontDisableSmall)) then 		GameFontDisableSmall:SetFont(CLEAR_FONT_BOLD, 10); end 				--  12		--  ***LedMirage 6/21/2006
   if (CanSetFont(GameFontDisableSmall)) then 		GameFontDisableSmall:SetTextColor(0.6, 0.6, 0.6); end

   if (CanSetFont(GameFontDarkGraySmall)) then 		GameFontDarkGraySmall:SetFont(CLEAR_FONT_BOLD, 10); end 			--  12		--  ***LedMirage 6/21/2006
   if (CanSetFont(GameFontDarkGraySmall)) then 		GameFontDarkGraySmall:SetTextColor(0.4, 0.4, 0.4); end

   if (CanSetFont(GameFontGreenSmall)) then 		GameFontGreenSmall:SetFont(CLEAR_FONT_BOLD, 10); end 				--  12		--  ***LedMirage 6/21/2006
   if (CanSetFont(GameFontRedSmall)) then 			GameFontRedSmall:SetFont(CLEAR_FONT_BOLD, 10); end 					--  12		--  ***LedMirage 6/21/2006
   if (CanSetFont(GameFontHighlightSmall)) then 	GameFontHighlightSmall:SetFont(CLEAR_FONT_BOLD, 10); end 			--  12		--  ***LedMirage 6/21/2006
   if (CanSetFont(GameFontHighlightSmallOutline)) then GameFontHighlightSmallOutline:SetFont(CLEAR_FONT_BOLD, 10, "OUTLINE"); end	--  12		--  ***LedMirage 6/21/2006


-- Large Game Fonts: titles
---------------------------

   if (CanSetFont(GameFontNormalLarge)) then 		GameFontNormalLarge:SetFont(CLEAR_FONT_BOLD, 17); end
   if (CanSetFont(GameFontNormalHuge)) then 		GameFontNormalHuge:SetFont(CLEAR_FONT_BOLD, 21); end
   if (CanSetFont(GameFontHighlightLarge)) then 	GameFontHighlightLarge:SetFont(CLEAR_FONT, 17); end

   if (CanSetFont(GameFontDisableLarge)) then 		GameFontDisableLarge:SetFont(CLEAR_FONT, 17); end
   if (CanSetFont(GameFontDisableLarge)) then 		GameFontDisableLarge:SetTextColor(0.6, 0.6, 0.6); end

   if (CanSetFont(GameFontGreenLarge)) then 		GameFontGreenLarge:SetFont(CLEAR_FONT, 17); end
   if (CanSetFont(GameFontRedLarge)) then 			GameFontRedLarge:SetFont(CLEAR_FONT, 17); end


-- Number Fonts: used in Auction House, money, keybinding, & quantity overlays
------------------------------------------------------------------------------

   if (CanSetFont(NumberFontNormal)) then 			NumberFontNormal:SetFont(CLEAR_FONT_NUMBER, 14, "OUTLINE"); end
   if (CanSetFont(NumberFontNormalYellow)) then 	NumberFontNormalYellow:SetFont(CLEAR_FONT_NUMBER, 14, "OUTLINE"); end
   if (CanSetFont(NumberFontNormalSmall)) then 		NumberFontNormalSmall:SetFont(CLEAR_FONT_NUMBER, 12, "OUTLINE"); end		--  ***LedMirage 6/21/2006
   if (CanSetFont(NumberFontNormalSmallGray)) then 	NumberFontNormalSmallGray:SetFont(CLEAR_FONT_NUMBER, 10, "OUTLINE"); end	--  ***LedMirage 6/21/2006
   if (CanSetFont(NumberFontNormalLarge)) then 		NumberFontNormalLarge:SetFont(CLEAR_FONT_NUMBER, 17, "OUTLINE"); end

   if (CanSetFont(NumberFontNormalHuge)) then 		NumberFontNormalHuge:SetFont(CLEAR_FONT_NUMBER, 30, "THICKOUTLINE"); end
   if (CanSetFont(NumberFontNormalHuge)) then 		NumberFontNormalHuge:SetAlpha(30); end


-- Chat window input font & chat window font sizes
--------------------------------------------------

   if (CanSetFont(ChatFontNormal)) then 			ChatFontNormal:SetFont(CLEAR_FONT_BOLDITALIC, 14); end			--  ***LedMirage 6/21/2006

   CHAT_FONT_HEIGHTS = {
      [1] = 7,
      [2] = 8,
      [3] = 9,
      [4] = 10,
      [5] = 11,
      [6] = 12,
      [7] = 13,
      [8] = 14,
      [9] = 15,
      [10] = 16,
      [11] = 17,
      [12] = 18,
      [13] = 19,
      [14] = 20,
      [15] = 21,
      [16] = 22,
      [17] = 23,
      [18] = 24
   };


-- Quest Log: used in the quest log, books, and more
----------------------------------------------------

   if (CanSetFont(QuestTitleFont)) then 			QuestTitleFont:SetFont(CLEAR_FONT_BOLD, 19); end
   if (CanSetFont(QuestTitleFont)) then 			QuestTitleFont:SetShadowColor(0.54, 0.4, 0.1); end

   if (CanSetFont(QuestFont)) then 		   		QuestFont:SetFont(CLEAR_FONT_ITALIC, 14); end
   if (CanSetFont(QuestFont)) then 		   		QuestFont:SetTextColor(0.15, 0.09, 0.04); end

   if (CanSetFont(QuestFontNormalSmall)) then 		QuestFontNormalSmall:SetFont(CLEAR_FONT_BOLD, 13); end
   if (CanSetFont(QuestFontNormalSmall)) then 		QuestFontNormalSmall:SetShadowColor(0.54, 0.4, 0.1); end

   if (CanSetFont(QuestFontHighlight)) then 		QuestFontHighlight:SetFont(CLEAR_FONT, 15); end


-- Dialog Buttons: "Accept", etc.
---------------------------------

   if (CanSetFont(DialogButtonNormalText)) then 	DialogButtonNormalText:SetFont(CLEAR_FONT, 17); end
   if (CanSetFont(DialogButtonHighlightText)) then 	DialogButtonHighlightText:SetFont(CLEAR_FONT, 17); end


-- Error Log: "Another Action is in Progress", etc.
-------------------------------------------------------------

   if (CanSetFont(ErrorFont)) then 	   			ErrorFont:SetFont(CLEAR_FONT_ITALIC, 16); end
   if (CanSetFont(ErrorFont)) then 	   			ErrorFont:SetAlpha(60); end


-- Item Info: general usage in frames
-------------------------------------

   if (CanSetFont(ItemTextFontNormal)) then 	   	ItemTextFontNormal:SetFont(CLEAR_FONT, 17); end


-- Mail & Invoice Text: in-game mails & Auction House invoices
--------------------------------------------------------------

   if (CanSetFont(MailTextFontNormal)) then 	   	MailTextFontNormal:SetFont(CLEAR_FONT_ITALIC, 15); end
   if (CanSetFont(MailTextFontNormal)) then 	   	MailTextFontNormal:SetTextColor(0.15, 0.09, 0.04); end
   if (CanSetFont(MailTextFontNormal)) then 	   	MailTextFontNormal:SetShadowColor(0.54, 0.4, 0.1); end
   if (CanSetFont(MailTextFontNormal)) then 	   	MailTextFontNormal:SetShadowOffset(1, -1); end

   if (CanSetFont(InvoiceTextFontNormal)) then 	   	InvoiceTextFontNormal:SetFont(CLEAR_FONT_ITALIC, 14); end
   if (CanSetFont(InvoiceTextFontNormal)) then 	   	InvoiceTextFontNormal:SetTextColor(0.15, 0.09, 0.04); end

   if (CanSetFont(InvoiceTextFontSmall)) then 	   	InvoiceTextFontSmall:SetFont(CLEAR_FONT_ITALIC, 12); end
   if (CanSetFont(InvoiceTextFontSmall)) then 	   	InvoiceTextFontSmall:SetTextColor(0.15, 0.09, 0.04); end


-- Spell Book: ability subtitles
--------------------------------

   if (CanSetFont(SubSpellFont)) then 	   		SubSpellFont:SetFont(CLEAR_FONT_BOLD, 12); end


-- Status Bars: Numbers on the unit frames, Damage Meters
---------------------------------------------------------

   if (CanSetFont(TextStatusBarText)) then 	   	TextStatusBarText:SetFont(CLEAR_FONT_NUMBER, 12, "OUTLINE"); end
   if (CanSetFont(TextStatusBarTextSmall)) then 	TextStatusBarTextSmall:SetFont(CLEAR_FONT_BOLDITALIC, 12); end				--  ***LedMirage 6/21/2006


-- Tooltips
-----------

   if (CanSetFont(GameTooltipText)) then 	   		
		GameTooltipText:SetFont(CLEAR_FONT, 13); 
		GameTooltipText:SetShadowColor(0, 0, 0);		--  ***LedMirage 6/21/2006
		GameTooltipText:SetShadowOffset(1, -1);			--  ***LedMirage 6/21/2006
   end
   if (CanSetFont(GameTooltipTextSmall)) then 	   	
		GameTooltipTextSmall:SetFont(CLEAR_FONT_BOLD, 12); 
		GameTooltipTextSmall:SetShadowColor(0, 0, 0);	--  ***LedMirage 6/21/2006
		GameTooltipTextSmall:SetShadowOffset(1, -1);	--  ***LedMirage 6/21/2006
   end
   if (CanSetFont(GameTooltipHeaderText)) then 	   	
		GameTooltipHeaderText:SetFont(CLEAR_FONT_BOLD, 15, "OUTLINE"); 
		GameTooltipHeaderText:SetShadowColor(0, 0, 0);	--  ***LedMirage 6/21/2006
		GameTooltipHeaderText:SetShadowOffset(1, -1);	--  ***LedMirage 6/21/2006		
   end

-- World Map: location titles
-----------------------------

   if (CanSetFont(WorldMapTextFont)) then 	   	WorldMapTextFont:SetFont(CLEAR_FONT_BOLDITALIC, 31, "THICKOUTLINE"); end
   if (CanSetFont(WorldMapTextFont)) then 	   	WorldMapTextFont:SetShadowColor(0, 0, 0); end
   if (CanSetFont(WorldMapTextFont)) then 	   	WorldMapTextFont:SetShadowOffset(1, -1); end
   if (CanSetFont(WorldMapTextFont)) then 	   	WorldMapTextFont:SetAlpha(40); end


-- Zone Changes: on-screen notifications
----------------------------------------

   if (CanSetFont(ZoneTextFont)) then 	   		ZoneTextFont:SetFont(CLEAR_FONT_BOLDITALIC, 31, "THICKOUTLINE"); end
   if (CanSetFont(ZoneTextFont)) then 	   		ZoneTextFont:SetShadowColor(0, 0, 0); end
   if (CanSetFont(ZoneTextFont)) then 	   		ZoneTextFont:SetShadowOffset(1, -1); end

   if (CanSetFont(SubZoneTextFont)) then 	   		SubZoneTextFont:SetFont(CLEAR_FONT_BOLDITALIC, 27, "THICKOUTLINE"); end


-- Appears to no longer be used
---------------------------------------------------

   if (CanSetFont(CombatLogFont)) then 			CombatLogFont:SetFont(CLEAR_FONT, 13); end

end




-- =============================================================================
--  C. FUNCTION TO RELOAD EVERY TIME AN ADDON LOADS
--  They do like to mess up my addon!
-- =============================================================================

ClearFont:SetScript("OnEvent",
		    function() 
		       if (event == "ADDON_LOADED") then
			  ClearFont:ApplySystemFonts()
		       end
		    end);
ClearFont:RegisterEvent("ADDON_LOADED");




-- =============================================================================
--  D. APPLY ALL THE ABOVE ON FIRST RUN
--  To start the ball rolling
-- =============================================================================

ClearFont:ApplySystemFonts()
